%global sum     Lightweight interface to visualize your detailed disk usage

Name:           xdiskusage
Version:        1.54
Release:        %mkrel 1
Summary:        %{sum}
Group:          File tools
License:        GPLv2+
URL:            http://xdiskusage.sourceforge.net
Source0:        http://xdiskusage.sourceforge.net/%{name}-%{version}.tgz
Patch0:         xdiskusage-1.52-mga-optflags.patch
Patch1:         xdiskusage-1.51-mga-nostrip.patch

BuildRequires:  fltk-devel
Obsoletes:      xdu < 3.0-15
Provides:       xdu

%description
xdiskusage is a user-friendly program to show you what is using up all
your disk space. It is based on the design of xdu written by Phillip C.
Dykstra. Changes have been made so it runs "du" for you, and can display
the free space left on the disk, and produce a PostScript version of
the display.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%makeinstall

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=XDiskUsage
GenericName=Disk usage visualizer
Comment=%{sum}
Exec=%{name}
Icon=document-preview-archive
Categories=FileTools;Monitor;
Type=Application
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Jan 26 2021 akien <akien> 1.54-1.mga8
+ Revision: 1673417
- Version 1.54

* Thu Dec 17 2020 akien <akien> 1.53-1.mga8
+ Revision: 1660195
- Version 1.53

* Tue Nov 03 2020 akien <akien> 1.52-1.mga8
+ Revision: 1642316
- Version 1.52

* Wed Apr 15 2020 danf <danf> 1.51-5.mga8
+ Revision: 1567474
- Fix Comment= in .desktop file to stop referring to debug sources

* Fri Feb 14 2020 umeabot <umeabot> 1.51-4.mga8
+ Revision: 1518620
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.51-3.mga7
+ Revision: 1301838
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Mon Nov 30 2015 akien <akien> 1.51-1.mga6
+ Revision: 907390
- Prevent debuginfo stripping
- imported package xdiskusage

